#ifndef HARKIO_REGEXPATTERNS_HPP_
#define HARKIO_REGEXPATTERNS_HPP_

/** @file RegexPatterns.hpp
 * @brief Common regex pattern strings.
 */

namespace harkio2
{
namespace RegexPatterns
{

const char* DECIMAL = "[\\-+]?(?:[1-9][0-9]*|0)(?:\\.[0-9]+)?(?:[eE][\\-+]?(?:[1-9][0-9]*|0))?";
const char* INTEGER = "[\\-+]?(?:[1-9][0-9]*|0)";

}
}

#endif // HARKIO_REGEXPATTERNS_HPP_

